|  | Home · All Classes · Main Classes · Annotated · Grouped Classes · Functions |

# QHBoxLayout Class Reference

The QHBoxLayout class lines up widgets horizontally. More...

    #include <QHBoxLayout>

Part of the QtGui module.

Inherits QBoxLayout.

- List of all members, including inherited members
- Qt 3 support members

### Public Functions

- QHBoxLayout ()
- QHBoxLayout ( QWidget * parent )
- ~QHBoxLayout ()

- 22 public functions inherited from QBoxLayout
- 29 public functions inherited from QLayout
- 28 public functions inherited from QObject
- 16 public functions inherited from QLayoutItem

### Additional Inherited Members

- 3 properties inherited from QLayout
- 1 property inherited from QObject
- 1 public slot inherited from QObject
- 1 signal inherited from QObject
- 1 static public member inherited from QLayout
- 4 static public members inherited from QObject
- 1 protected function inherited from QBoxLayout
- 3 protected functions inherited from QLayout
- 7 protected functions inherited from QObject

## Detailed Description

The QHBoxLayout class lines up widgets horizontally.

This class is used to construct horizontal box layout objects. See QBoxLayout for more details.

The simplest use of the class is like this:

        QHBoxLayout *layout = new QHBoxLayout(widget);
        layout->addWidget(existingChildOfWidget);
        layout->addWidget(anotherChildOfWidget);

the Layout overview

See also QVBoxLayout and QGridLayout.

## Member Function Documentation

### QHBoxLayout::QHBoxLayout ()

Constructs a new horizontal box. You must add it to another layout.

### QHBoxLayout::QHBoxLayout ( QWidget * parent )

Constructs a new top-level horizontal box with parent parent.

### QHBoxLayout::~QHBoxLayout ()

Destroys this box layout.

The layout's widgets aren't destroyed.